#!/usr/bin/env python3
# -*- coding: utf-8 -*-
from pathlib import Path

from p1st.repeat import repeat_until_successful


def transfer_inform(rsync_cmd: list[str],
                    inform_cmd: list[str],
                    user_input_file: Path):
    """
    First, this method transfers files to a remote pc.

    Then, it informs the remote pc.

    If some error occurs during the above steps,
    it waits for user input (via a UNIX-socket) and repeats the failed step.

    :param rsync_cmd:
    :param inform_cmd:
    :param user_input_file:
    :return:
    """

    # - rsync to remote pc
    #   - catch error
    #   - wait until user input, then repeat
    repeat_until_successful(rsync_cmd, user_input_file)

    #   - inform remote pc about complete rsync
    #     - catch error
    #     - wait until user input, then repeat
    repeat_until_successful(inform_cmd, user_input_file)
